{% extends 'base.html' %}
{% load static %}

{% block title %}
My Exchanges | Booked
{% endblock %}

{% block content %}
<div class="container-fluid">
    <div class="row">
        <div class="col-xs-12">
            <div class='parallax'>
                <!-- <img src="{% static 'img/books_home.jpg' %}" style='width:100%;' alt=""/> -->
                    Pending With You

                    <table class='table-responsive table table-hover'>
                        <thead>
                            <th>User</th>
                            <th>Book that he wants to exchange</th>
                            <th>Book Requested</th>
                            <!-- <th>Message</th> -->
                            <th>Approve/Disapprove/Contact</th>
                        </thead>
                        {% for a in pending %}
                        <tr>
                            <td>
                                {{ a.user1.name }}
                            </td>
                            {% if a.book1 %}
                            <td>
                                {{ a.book1.title }}
                            </td>
                            {% else %}
                            <td>
                                -
                            </td>
                            {% endif %}

                            <td>
                                {{ a.book2.title }}
                            </td>
                            <!-- <td> -->
                            <!--     {{ a.message }} -->
                            <!-- </td> -->
                            <td>
                                <a href="/books/{{ a.id }}/exchangeApprove/">Approve</a>
                                <a href="/books/{{ a.id }}/exchangeDisapprove/">Disapprove</a>
                                <a href="/messages/compose/{{ a.user1.authUser.username }}">Message</a>
                            </td>
                        </tr>
                        {% endfor %}
                    </table>

                    Requests By You
                    <table class='table-responsive table table-hover'>
                        <thead>
                            <th>User</th>
                            <th>Your Book</th>
                            <th>Book Requested</th>
                            <th>Status</th>
                        </thead>
                        {% for a in requestsByMe %}
                        <tr>
                            <td>
                                {% if a.user1.authUser == request.user %}
                                    {{ a.user2.name }}
                                {% else %}
                                    {{ a.user1.name }}
                                {% endif %}
                            </td>
                            <td>
                                {% if a.user1.authUser == request.user %}
                                    {% if a.book1 %}
                                        {{ a.book1.title }}
                                    {% else %}
                                        -
                                    {% endif %}
                                {% else %}
                                    {{ a.book2.title }}
                                {% endif %}
                            </td>
                            <td>
                                {% if a.user2.authUser == request.user %}
                                    {% if a.book1 %}
                                        {{ a.book1.title }}
                                    {% else %}
                                        -
                                    {% endif %}
                                {% else %}
                                    {{ a.book2.title }}
                                {% endif %}
                            </td>
                            <td>
                                {% if a.disapproved %}
                                Disapproved 
                                {% else %}
                                Pending
                                {% endif %}
                            </td>
                        </tr>
                        {% endfor %}
                    </table>

                    Current Exchanges / Borrowed Books
                    <table class='table-responsive table table-hover'>
                        <thead>
                            <th>User</th>
                            <th>Your Book</th>
                            <th>Book Borrowed/Exchanged</th>
                            <th>Return</th>
                        </thead>
                        {% for a in currentExchanges %}
                        <tr>
                            <td>
                                {% if a.user1.authUser == request.user %}
                                    {{ a.user2.name }}
                                {% else %}
                                    {{ a.user1.name }}
                                {% endif %}
                            </td>
                            <td>
                                {% if a.user1.authUser == request.user %}
                                    {% if a.book1 %}
                                        {{ a.book1.title }}
                                    {% else %}
                                        -
                                    {% endif %}
                                {% else %}
                                    {{ a.book2.title }}
                                {% endif %}
                            </td>
                            <td>
                                {% if a.user2.authUser == request.user %}
                                    {% if a.book1 %}
                                        {{ a.book1.title }}
                                    {% else %}
                                        -
                                    {% endif %}
                                {% else %}
                                    {{ a.book2.title }}
                                {% endif %}
                            </td>
                            <td>
                                {% if a.user2.authUser == request.user and a.approved == True and a.returned == False %}
                                <a href="/books/{{ a.id }}/exchangeReturn/">Return</a>
                                {% elif a.user1.authUser == request.user and a.returned == True and a.returnVerified == False %}
                                <a href="/books/{{ a.id }}/exchangeReturnVerify/">Confirm Return</a>
                                {% elif a.user2.authUser == request.user and a.approved == True and a.returned == True %}
                                Waiting for approval of return
                                {% elif a.user1.authUser == request.user and a.approved == True and a.returned == False %}
                                Waiting for the other user to mark as returned
                                {% endif %}
                            </td>
                        </tr>
                        {% endfor %}
                    </table>

                    Previous Exchanges
                    <table class='table-responsive table table-hover'>
                        <thead>
                            <th>User</th>
                            <th>Your Book</th>
                            <th>Book Borrowed/Exchanged</th>
                        </thead>
                        {% for a in previousExchanges %}
                        <tr>
                            <td>
                                {% if a.user1.authUser == request.user %}
                                    {{ a.user2.name }}
                                {% else %}
                                    {{ a.user1.name }}
                                {% endif %}
                            </td>
                            <td>
                                {% if a.user1.authUser == request.user %}
                                    {% if a.book1 %}
                                        {{ a.book1.title }}
                                    {% else %}
                                        -
                                    {% endif %}
                                {% else %}
                                    {{ a.book2.title }}
                                {% endif %}
                            </td>
                            <td>
                                {% if a.user1.authUser == request.user %}
                                    {{ a.book2.title }}
                                {% else %}
                                    {% if a.book1 %}
                                        {{ a.book1.title }}
                                    {% else %}
                                        -
                                    {% endif %}
                                {% endif %}
                            </td>
                        </tr>
                        {% endfor %}
                    </table>

            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-xs-12">
            <div class="absolute">
                <div class="parallaxWhite">
                    <!-- Content -->
                </div>
            </div>
        </div>
    </div>
</div>

<!-- Container element -->
<!-- <div class="parallax"></div> -->

{% endblock %}
